View Issue Details

IDProjectCategoryView StatusLast Update
0006828CentOS-7CentOS-7-Pluspublic2018-10-10 14:57
Reportertoracat 
PrioritynormalSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0006828: Tracking for centosplus kernels for CentOS-7
DescriptionBuild and maintain centosplus kernels for EL7.
TagsNo tags attached.
abrt_hash
URL

Activities

toracat

toracat

2014-01-01 23:57

manager   ~0018746

One change noticed in the el7beta spec file is that kernel config files are no longer dynamically constructed -- back to the "el5 distro style" ("el6 plus style").

Very first test build of the plus kernel with a few mods in the config was completed successfully.
JohnnyHughes

JohnnyHughes

2014-01-02 00:59

administrator   ~0018747

Did you specifically look at the config file that was built? I noticed things I turned on were turned off again in the make no old config step.
toracat

toracat

2014-01-02 01:13

manager   ~0018748

Yes, I checked the .config file after the build was finished. It is the modified version. Will double-check by installing the binary and make sure the enabled feature is available.
toracat

toracat

2014-01-02 03:07

manager   ~0018750

I booted the test plus kernel and confirmed that enabled feature(s) were available. :)
JohnnyHughes

JohnnyHughes

2014-01-02 12:35

administrator   ~0018751

then it must be a subset of things they change ... specifically, I tuned on xen dom0 support and they turned it back off
toracat

toracat

2014-01-05 19:06

manager  

kernel-3.10.0-x86_64.config.20140105.diff (4,170 bytes)
--- dist/kernel-3.10.0-x86_64.config	2013-11-26 13:45:46.000000000 -0800
+++ kernel-3.10.0-x86_64.config	2014-01-05 10:58:18.400212497 -0800
@@ -1,7 +1,7 @@
 # x86_64
 #
 # Automatically generated file; DO NOT EDIT.
-# Linux/x86_64 3.10.0 Kernel Configuration
+# Linux/x86 3.10.0-54.0.1.el7.centos.ayplus.x86_64 Kernel Configuration
 #
 CONFIG_64BIT=y
 CONFIG_X86_64=y
@@ -1135,8 +1135,12 @@
 # CONFIG_DECNET is not set
 CONFIG_LLC=m
 # CONFIG_LLC2 is not set
-# CONFIG_IPX is not set
-# CONFIG_ATALK is not set
+CONFIG_IPX=m
+CONFIG_IPX_INTERN=y
+CONFIG_ATALK=m
+CONFIG_DEV_APPLETALK=m
+CONFIG_IPDDP=m
+CONFIG_IPDDP_ENCAP=y
 # CONFIG_X25 is not set
 # CONFIG_LAPB is not set
 # CONFIG_PHONET is not set
@@ -1596,7 +1600,7 @@
 CONFIG_SCSI_UFSHCD_PCI=m
 # CONFIG_SCSI_UFSHCD_PLATFORM is not set
 CONFIG_SCSI_HPTIOP=m
-# CONFIG_SCSI_BUSLOGIC is not set
+CONFIG_SCSI_BUSLOGIC=m
 CONFIG_VMWARE_PVSCSI=m
 CONFIG_HYPERV_STORAGE=m
 CONFIG_LIBFC=m
@@ -1941,8 +1945,8 @@
 CONFIG_PCH_GBE=m
 CONFIG_ETHOC=m
 CONFIG_NET_PACKET_ENGINE=y
-# CONFIG_HAMACHI is not set
-# CONFIG_YELLOWFIN is not set
+CONFIG_HAMACHI=m
+CONFIG_YELLOWFIN=m
 CONFIG_NET_VENDOR_QLOGIC=y
 CONFIG_QLA3XXX=m
 CONFIG_QLCNIC=m
@@ -2077,8 +2081,10 @@
 CONFIG_ATH_COMMON=m
 CONFIG_ATH_CARDS=m
 # CONFIG_ATH_DEBUG is not set
-# CONFIG_ATH5K is not set
-# CONFIG_ATH5K_PCI is not set
+CONFIG_ATH5K=m
+# CONFIG_ATH5K_DEBUG is not set
+# CONFIG_ATH5K_TRACER is not set
+CONFIG_ATH5K_PCI=y
 CONFIG_ATH9K_HW=m
 CONFIG_ATH9K_COMMON=m
 CONFIG_ATH9K_BTCOEX_SUPPORT=y
@@ -2099,7 +2105,21 @@
 # CONFIG_AR5523 is not set
 CONFIG_WIL6210=m
 CONFIG_WIL6210_ISR_COR=y
-# CONFIG_B43 is not set
+CONFIG_B43=m
+CONFIG_B43_BCMA=y
+# CONFIG_B43_BCMA_EXTRA is not set
+CONFIG_B43_SSB=y
+CONFIG_B43_PCI_AUTOSELECT=y
+CONFIG_B43_PCICORE_AUTOSELECT=y
+# CONFIG_B43_SDIO is not set
+CONFIG_B43_BCMA_PIO=y
+CONFIG_B43_PIO=y
+# CONFIG_B43_PHY_N is not set
+CONFIG_B43_PHY_LP=y
+# CONFIG_B43_PHY_HT is not set
+CONFIG_B43_LEDS=y
+CONFIG_B43_HWRNG=y
+# CONFIG_B43_DEBUG is not set
 # CONFIG_B43LEGACY is not set
 CONFIG_BRCMUTIL=m
 CONFIG_BRCMSMAC=m
@@ -2901,9 +2921,10 @@
 #
 CONFIG_SSB=m
 CONFIG_SSB_SPROM=y
+CONFIG_SSB_BLOCKIO=y
 CONFIG_SSB_PCIHOST_POSSIBLE=y
 CONFIG_SSB_PCIHOST=y
-# CONFIG_SSB_B43_PCI_BRIDGE is not set
+CONFIG_SSB_B43_PCI_BRIDGE=y
 CONFIG_SSB_SDIOHOST_POSSIBLE=y
 CONFIG_SSB_SDIOHOST=y
 # CONFIG_SSB_DEBUG is not set
@@ -2915,6 +2936,7 @@
 # Broadcom specific AMBA
 #
 CONFIG_BCMA=m
+CONFIG_BCMA_BLOCKIO=y
 CONFIG_BCMA_HOST_PCI_POSSIBLE=y
 CONFIG_BCMA_HOST_PCI=y
 CONFIG_BCMA_DRIVER_GMAC_CMN=y
@@ -4528,7 +4550,12 @@
 CONFIG_JBD2=m
 # CONFIG_JBD2_DEBUG is not set
 CONFIG_FS_MBCACHE=m
-# CONFIG_REISERFS_FS is not set
+CONFIG_REISERFS_FS=m
+# CONFIG_REISERFS_CHECK is not set
+# CONFIG_REISERFS_PROC_INFO is not set
+CONFIG_REISERFS_FS_XATTR=y
+CONFIG_REISERFS_FS_POSIX_ACL=y
+CONFIG_REISERFS_FS_SECURITY=y
 # CONFIG_JFS_FS is not set
 CONFIG_XFS_FS=m
 CONFIG_XFS_QUOTA=y
@@ -4951,7 +4978,7 @@
 CONFIG_SECURITYFS=y
 CONFIG_SECURITY_NETWORK=y
 CONFIG_SECURITY_NETWORK_XFRM=y
-# CONFIG_SECURITY_PATH is not set
+CONFIG_SECURITY_PATH=y
 CONFIG_SECURITY_SECURELEVEL=y
 CONFIG_INTEL_TXT=y
 CONFIG_LSM_MMAP_MIN_ADDR=65535
@@ -4964,8 +4991,14 @@
 CONFIG_SECURITY_SELINUX_CHECKREQPROT_VALUE=1
 # CONFIG_SECURITY_SELINUX_POLICYDB_VERSION_MAX is not set
 # CONFIG_SECURITY_SMACK is not set
-# CONFIG_SECURITY_TOMOYO is not set
-# CONFIG_SECURITY_APPARMOR is not set
+CONFIG_SECURITY_TOMOYO=y
+CONFIG_SECURITY_TOMOYO_MAX_ACCEPT_ENTRY=2048
+CONFIG_SECURITY_TOMOYO_MAX_AUDIT_LOG=1024
+# CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER is not set
+CONFIG_SECURITY_TOMOYO_POLICY_LOADER="/sbin/tomoyo-init"
+CONFIG_SECURITY_TOMOYO_ACTIVATION_TRIGGER="/usr/lib/systemd/systemd"
+CONFIG_SECURITY_APPARMOR=y
+CONFIG_SECURITY_APPARMOR_BOOTPARAM_VALUE=1
 # CONFIG_SECURITY_YAMA is not set
 CONFIG_INTEGRITY=y
 CONFIG_INTEGRITY_SIGNATURE=y
@@ -4976,6 +5009,8 @@
 CONFIG_IMA_LSM_RULES=y
 # CONFIG_IMA_APPRAISE is not set
 CONFIG_DEFAULT_SECURITY_SELINUX=y
+# CONFIG_DEFAULT_SECURITY_TOMOYO is not set
+# CONFIG_DEFAULT_SECURITY_APPARMOR is not set
 # CONFIG_DEFAULT_SECURITY_DAC is not set
 CONFIG_DEFAULT_SECURITY="selinux"
 CONFIG_XOR_BLOCKS=m
toracat

toracat

2014-01-05 19:07

manager   ~0018791

config diff as of 2014-01-05 uploaded.
toracat

toracat

2014-01-06 22:32

manager   ~0018796

In addition to TOMOYO, rh7beta now includes AppArmor. Both are disabled by default in the distro kernel (as expected) and are enabled in the plus kernel. DEFAULT_SECURITY remains to be SELINUX.

TOMOYO-related config lines:

CONFIG_SECURITY_TOMOYO=y
CONFIG_SECURITY_TOMOYO_MAX_ACCEPT_ENTRY=2048
CONFIG_SECURITY_TOMOYO_MAX_AUDIT_LOG=1024
# CONFIG_SECURITY_TOMOYO_OMIT_USERSPACE_LOADER is not set
CONFIG_SECURITY_TOMOYO_POLICY_LOADER="/sbin/tomoyo-init"
CONFIG_SECURITY_TOMOYO_ACTIVATION_TRIGGER="/usr/lib/systemd/systemd"

Special note about the last entry:

The original config line was CONFIG_SECURITY_TOMOYO_ACTIVATION_TRIGGER="/sbin/init". However, /usr/lib/systemd/systemd from within intramfs runs execve("/usr/lib/systemd/systemd"), NOT execve("/sbin/init"). Therefore strcmp() will fail if TOMOYO_trigger is defined as "/sbin/init". [Thanks to Tetsuo Handa for help]
toracat

toracat

2014-01-08 21:44

manager   ~0018805

As of 2.6.32-431.3.1.el6, the plus kernel has the following patches:

Patch30002: centos-linux-2.6-bonding-fix-802.3ad.patch
Patch30005: centos-linux-2.6-jfs-bug5453.patch
Patch30006: centos-linux-2.6-tomoyo-fix-race-on-updating-profile-comment-bug5378.patch
Patch30007: centos-linux-2.6-tomoyo-use-UMH_WAIT_PROC-constant-bug5588.patch
Patch30010: centos-linux-2.6-hid-non-LogiTech-remote-bug5780.patch
Patch30018: centos-linux-2.6-sysfs-fix-printk-warnings-bug6157.patch
Patch30020: centos-linux-2.6-correct-tty-buffer-flush-bug6104.patch
Patch30023: centos-linux-2.6-virtio_net-fix-truesize-underestimation-bug5526-el6_5.patch
Patch30025: centos-linux-2.6-revert-improve-queue_should_plug-bug6548.patch
Patch30026: centos-linux-2.6-fs-tmpfs-add-xattrs-support-bug4586.18700.patch

All of them except Patch30010 have been confirmed to be in el7beta. This is expected because 30010 is a local patch and others originated from kernel.org.
Evolution

Evolution

2014-03-25 18:24

administrator   ~0019542

Last edited: 2014-05-31 17:38

View 2 revisions

RFE Proposal: Changing the name of the plus kernel to be consistent with other kernel packages, such as kernel-xen, kernel-lt, and kernel-ml. Thoughts, questions, flames?

[ Note added: discussion thread -> http://lists.centos.org/pipermail/centos-devel/2014-May/010394.html ]

toracat

toracat

2014-04-22 22:29

manager   ~0019662

RHEL 7 Release Candidate is out. kernel is at 3.10.0-121.el7.
toracat

toracat

2014-04-28 16:44

manager   ~0019687

Consider the patch reported in bug #7099.
toracat

toracat

2014-05-30 16:27

manager   ~0019797

[Hopefully this note turns out to be just "For the record"...]

The el7rc kernel has a bug, "missing scripts to call weak-modules" (BZ#1101036, marked private).

In short, because calls to the weak-modules script are missing in the kernel.spec file, kABI-compatible modules are not linked against newly installed kernels.

The BZ is labeled regression, and the priority, urgent. So, the fix might appear in the first kernel update for EL7 (if not in the GA kernel). If this does not happen, I will apply the patch to the plus kernel.
toracat

toracat

2014-06-04 15:58

manager   ~0019806

Update from upstream regarding the missing weak-modules script:

Fixed In Version: kernel-3.10.0-125.el7
toracat

toracat

2014-06-06 20:03

manager   ~0019818

Update from upstream regarding the missing weak-modules script:

Fixed In Version: kernel-3.10.0-123.2.1.el7
toracat

toracat

2014-06-10 21:01

manager   ~0019828

RHEL 7.0 is out. kernel is 3.10.0-123.el7.

There is also a security update : kernel-3.10.0-123.1.2.el7
toracat

toracat

2014-06-23 05:49

manager   ~0020000

Evolution's proposal: Changing the name of the plus kernel ( http://bugs.centos.org/view.php?id=6828#c19542 ) has been discussed on the centos-devel mailing list:

http://lists.centos.org/pipermail/centos-devel/2014-June/010628.html

This is being worked on. Currently adopting the name 'kernel-plus'.
toracat

toracat

2014-06-27 19:28

manager   ~0020104

An update from upstream BZ#1101036 regarding the missing weak-modules script:

Fixed in kernel-3.10.0-123.4.2.el7 that has just been released.
toracat

toracat

2014-07-05 16:54

manager   ~0020186

Consider enabling 3c59x (bug#7296) and possibly other related drivers.
toracat

toracat

2014-07-07 18:02

manager   ~0020208

The centosplus kernel for 7 GA (kernel-plus-3.10.0-123.el7) has been published. All requested features / patches included.
toracat

toracat

2014-07-07 18:07

manager   ~0020209

Consider enabling the features requested in bug #7310 in the next kernel update.
toracat

toracat

2014-07-10 19:37

manager   ~0020366

Add the patch in bug #7340 in the next update.
toracat

toracat

2014-07-11 16:09

manager   ~0020393

Last edited: 2014-07-13 17:15

View 2 revisions

Enable forcedeth in the next update (bug #7359).

< # CONFIG_NET_VENDOR_NVIDIA is not set
---
> CONFIG_NET_VENDOR_NVIDIA=y
> CONFIG_FORCEDETH=m

toracat

toracat

2014-07-13 17:02

manager   ~0020420

Last edited: 2014-07-13 17:15

View 2 revisions

Enable CONFIG_ECRYPT_FS in the next update (bug #7369).

< # CONFIG_ECRYPT_FS is not set
---
> CONFIG_ECRYPT_FS=m
> # CONFIG_ECRYPT_FS_MESSAGING is not set

toracat

toracat

2014-07-14 16:08

manager   ~0020429

Enable ceph in the next update (bug #7372).

< # CONFIG_CEPH_LIB is not set
---
> CONFIG_CEPH_LIB=m
> # CONFIG_CEPH_LIB_PRETTYDEBUG is not set
> # CONFIG_CEPH_LIB_USE_DNS_RESOLVER is not set

< # CONFIG_CEPH_FS is not set
---
> CONFIG_CEPH_FS=m
toracat

toracat

2014-07-31 12:03

manager   ~0020560

The latest update to kernel-plus (3.10.0-123.4.4.el7.centos.plus) has enabled the requested features/driver in bugs #7320, #7340, #7359, #7369 and #7372.
toracat

toracat

2014-08-01 10:06

manager   ~0020567

Consider adding a patch from bug #7454 in the next update.
toracat

toracat

2014-08-07 16:00

manager   ~0020609

kernel-plus-3.10.0-123.6.3.el7.centos.plus is out. It now includes a patch from bug #7454.
toracat

toracat

2014-08-08 21:35

manager   ~0020633

Enable jfs in the next update (bug #7350).
toracat

toracat

2014-08-13 13:38

manager   ~0020673

Enable CONFIG_X86_NUMACHIP in the next update (bug #7498).
toracat

toracat

2014-09-01 00:20

manager   ~0020799

Last edited: 2014-09-13 07:59

View 2 revisions

Enable CONFIG_SCSI_AIC7XXX in the next update (bug #7552).

toracat

toracat

2014-09-22 21:25

manager   ~0020976

kernel-3.10.0-123.8.1.el7 is out. kernel-plus now has 3 changes in the config (bugs #7350, #7498 and #7552).
toracat

toracat

2014-09-28 21:20

manager   ~0021017

Apply a patch from bug #7645 in the next update.
toracat

toracat

2014-10-27 19:57

manager   ~0021424

Consider adding a patch that fixes bug #7474.

git commit: 107437febd495a50e2cd09c81bbaa84d30e57b07
https://lkml.org/lkml/2014/4/25/506
toracat

toracat

2014-10-28 21:28

manager   ~0021443

kernel-plus-3.10.0-123.9.2.el7.centos.plus.src.rpm now has the patch from bug #7474.
toracat

toracat

2014-10-31 07:06

manager   ~0021484

The patch from bug #7645 was supposed to be added to 3.10.0-123.9.2.el7 but missed. Make sure it is applied in the next update.
toracat

toracat

2014-11-06 21:36

manager   ~0021574

kernel update 3.10.0-123.9.3.el7 is out. kernel-plus now has the patch from bug #7645.
toracat

toracat

2014-11-10 04:16

manager   ~0021617

Add the patch from bug #7852 in the next update.
toracat

toracat

2014-11-13 16:38

manager   ~0021673

Consider adding a patch from bug #7604.

commit b7e63a1079b266866a732cf699d8c4d61391bbda
toracat

toracat

2014-11-13 17:12

manager   ~0021675

Enable via_velocity in the next update (bug #7877).
toracat

toracat

2014-11-28 02:09

manager   ~0021828

Apply the patch from bug #7942 ( http://bugs.centos.org/view.php?id=7942 ).
toracat

toracat

2014-12-09 23:42

manager   ~0021895

kernel update 3.10.0-123.13.1.el7 is out. kernel-plus now has the patch from bugs #7604, #7852 and #7942. In the config, via_velocity was enabled (bug #7877).
toracat

toracat

2014-12-29 07:45

manager   ~0022059

Add the patch from http://bugs.centos.org/view.php?id=8039 in the next kernel update.
toracat

toracat

2015-01-06 08:48

manager   ~0022079

Revert the config change made for Ceph in the next update (see http://bugs.centos.org/view.php?id=7372).
toracat

toracat

2015-01-11 18:34

manager   ~0022105

Apply the patch for ceph referenced in http://bugs.centos.org/view.php?id=7372 that will take care of the security issue. No need to disable ceph.
toracat

toracat

2015-01-13 00:44

manager   ~0022116

Change config to:

CONFIG_BLK_DEV_RBD=m

as requested in http://bugs.centos.org/view.php?id=7372#c22114
toracat

toracat

2015-01-29 01:28

manager   ~0022248

kernel-3.10.0-123.20.1.el7 is out.

In this version of kernel-plus:

(1) The following patches are now in the distro kernel, thus removed from the plus kernel.

http://bugs.centos.org/view.php?id=7454
http://bugs.centos.org/view.php?id=7474
http://bugs.centos.org/view.php?id=7604

(2) The patch for ceph referenced in http://bugs.centos.org/view.php?id=7372 applied.

(3) Config change CONFIG_BLK_DEV_RBD=m resulted in a compilation error. Action pending, needs investigation. bug #7372

(4) Applying the patch from http://bugs.centos.org/view.php?id=8039 resulted in a compilation error. Patch not added, needs investigation.
toracat

toracat

2015-03-01 08:03

manager   ~0022428

- Compilation error caused by CONFIG_BLK_DEV_RBD=m fixed with a patch (bug #7372, comment 22421). Apply the fix in the next kernel update.

- Patch from bug #8039 no longer needed.
toracat

toracat

2015-03-07 00:15

manager   ~0022479

EL 7.1 is out upstream. kernel is 3.10.0-229.el7.

(Some test builds done with 7.1 beta kernel -210)

* Building reiserfs.ko under EL7.1 produces this error:

In file included from fs/reiserfs/bitmap.c:7:0:
fs/reiserfs/reiserfs.h:1957:0: error: "U32_MAX" redefined [-Werror]
 #define U32_MAX (~(__u32)0)

Patch candidate that fixes the reiserfs error:

--- a/fs/reiserfs/reiserfs.h 2014-11-24 14:38:58.000000000 -0800
+++ b/fs/reiserfs/reiserfs.h 2015-01-12 15:34:40.187297040 -0800
@@ -1954,7 +1954,6 @@ struct treepath var = {.path_length = IL
 #define MAX_US_INT 0xffff

 // reiserfs version 2 has max offset 60 bits. Version 1 - 32 bit offset
-#define U32_MAX (~(__u32)0)

 static inline loff_t max_reiserfs_offset(struct inode *inode)
 {

* Building appletalk.ko under EL7.1 produces this error:

net/appletalk/ddp.c: In function 'atalk_sendmsg':
net/appletalk/ddp.c:1672:8: error: 'struct sock' has no member named 'sk_no_check'
  if (sk->sk_no_check == 1)

* Same error with ipx:

net/ipx/af_ipx.c:1371:4: error: 'struct sock' has no member named 'sk_no_check'
  sk->sk_no_check = 1; /* Checksum off by default */

*** appletalk and ipx now disabled ***
toracat

toracat

2015-03-07 00:17

manager   ~0022480

Last edited: 2015-03-07 00:24

View 2 revisions

Patches in kernel -229:

Existing centosplus patches from bugs 5780, 7340, 7645 and reiserfs fix are applied.

centos-linux-3.10-fix-wakingup-AMD-family-bug7645.patch
centos-linux-3.10-hid-non-LogiTech-remote-bug5780.patch
centos-linux-3.10-missing-Unifying-device-bug7340.patch
centos-linux-3.10-reiserfs-fix-redefine-error.patch

All other patches are either in the current kernel's code or no longer needed.

toracat

toracat

2015-03-07 00:21

manager   ~0022481

* Apparmor disabled. Enabling this leads to a compilation error. Needs investigation. (previous declaration of kvfree ...)

* ECRYPT_FS disabled. Enabling this leads to a compilation error. Needs investigation. (ecryptfs/main.c ... has no member named ...)
toracat

toracat

2015-03-07 16:59

manager   ~0022487

Add a patch from https://bugs.centos.org/view.php?id=8285 .
toracat

toracat

2015-03-26 13:32

manager   ~0022604

Add a patch from https://bugs.centos.org/view.php?id=8341 .
toracat

toracat

2015-04-07 17:11

manager   ~0022696

Last edited: 2015-05-12 17:43

View 2 revisions

kernel-plus C7 GA release (3.10.0-229.el7.centos.plus) has patches from bugs 8285 and 8295.

3.10.0-229.1.2.el7.centos.plus has patch frpm 8341.

toracat

toracat

2015-05-28 18:18

manager   ~0023238

Last edited: 2015-07-24 17:35

View 2 revisions

Consider adding a patch from http://bugs.centos.org/view.php?id=8803 (futex).

[EDIT] The patch is in the distro kernel as of 3.10.0-229.7.2.el7.

toracat

toracat

2015-07-02 21:52

manager   ~0023561

Try enabling ECRYPT_FS by applying a patch reported in https://bugs.centos.org/view.php?id=7369 .
toracat

toracat

2015-07-13 17:10

manager   ~0023620

Try enabling Keyboard GPIO modules as requested in https://bugs.centos.org/view.php?id=9063 .
toracat

toracat

2015-07-24 17:29

manager   ~0023713

Consider adding a patch from http://bugs.centos.org/view.php?id=8778 (if not in the next kernel update).
toracat

toracat

2015-08-06 15:46

manager   ~0023795

kernel-3.10.0-229.11.1.el7 is out. The plus kernel now has patches/config change from bugs #7369, #9063 and #8778.
toracat

toracat

2015-09-14 17:28

manager   ~0024348

Consider enabling Xen PV Guest FB as requested in https://bugs.centos.org/view.php?id=9463 .
toracat

toracat

2015-09-15 16:57

manager   ~0024360

Last edited: 2015-10-21 18:53

View 2 revisions

kernel-plus 3.10.0-229.14.1.el7 now has XEN_FBDEV_FRONTEND enabled (=m).

Note added: patch from #8778 is now in the distro kernel, so removed from the plus kernel.

toracat

toracat

2015-10-07 08:17

manager   ~0024544

Enable LINE6_USB in the next update ( https://bugs.centos.org/view.php?id=9569 ).
toracat

toracat

2015-10-11 06:44

manager   ~0024574

Enable I2C_MUX in the next kernel update ( https://bugs.centos.org/view.php?id=9592 ).
toracat

toracat

2015-10-23 16:12

manager   ~0024687

Consider adding a patch from https://bugs.centos.org/view.php?id=9646 .
toracat

toracat

2015-10-29 20:38

manager   ~0024734

kernel-plus-3.10.0-229.14.1.1.el7.centos.plus.src.rpm (therefore, the next kernel update) has i386 mods rolled in.
toracat

toracat

2015-11-21 17:34

manager   ~0024903

RHEL 7.2 is out. kernel version is 3.10.0-327.el7.

In the plus kernel, ath5k and b43 had to be disabled because their code caused build errors. The wireless stack has been updated in the 7.2 kernel. It is likely that the modules that are disabled in the distro kernel were not backported, so now would fail to build in the 7.2 environment.

Test packages (kernel-plus-3.10.0-327.el7.ay.centos.plus.x86_64) are available from:

http://people.centos.org/toracat/kernel/7/plus/3.10.0-327.el7/
toracat

toracat

2015-12-18 20:11

manager   ~0025130

Last edited: 2016-01-21 19:42

View 2 revisions

Enable spidev:

https://bugs.centos.org/view.php?id=9955

[EDIT] Done as of kernel-plus 3.10.0-327.4.4.el7.

toracat

toracat

2016-01-21 19:40

manager   ~0025457

Try applying the patch referenced in https://bugs.centos.org/view.php?id=10073 in the next update.
toracat

toracat

2016-01-21 21:46

manager   ~0025461

Try applying the patch referenced in https://bugs.centos.org/view.php?id=10191 in the next update.
toracat

toracat

2016-01-26 17:01

manager   ~0025520

Last edited: 2016-03-29 16:43

View 2 revisions

kernel-plus-3.10.0-327.4.5.el7 is out. This has the patches from bugs 10073 (dup of 10033) and 10191.

toracat

toracat

2016-02-04 20:50

manager   ~0025617

Add 2 patches from https://bugs.centos.org/view.php?id=10320 in the next update.
toracat

toracat

2016-02-11 16:29

manager   ~0025698

Add new i386 patches:

https://git.centos.org/commitdiff/!rpms!kernel.git/8d15a7dfbf60eb5e6c3b71a10132c0f1153ae1fe

https://bugs.centos.org/view.php?id=10308
toracat

toracat

2016-02-18 16:36

manager   ~0025767

kernel-plus-3.10.0-327.10.1.el7 is out. This has a patch (2 combined) from bug #10320. New i386 patches added.
toracat

toracat

2016-03-01 09:22

manager   ~0025895

Consider adding patches from https://bugs.centos.org/view.php?id=10447 .
(support for touchpad and fn key support for MacBookPro 12,1)
toracat

toracat

2016-03-10 16:15

manager   ~0025990

Add the patches from https://bugs.centos.org/view.php?id=10516 (mpt3sas) in the next update.
toracat

toracat

2016-03-29 16:51

manager   ~0026163

Add 3 patches from https://bugs.centos.org/view.php?id=10033 in the next update.
toracat

toracat

2016-03-31 17:45

manager   ~0026188

kernel-3.10.0-327.13.1 is out. The plus kernel has patches from bugs 10033, 10447, and 10516. Also, patches from bugs 10191 and 10320 are now in the distro kernel, so removed from the plus kernel.
toracat

toracat

2016-04-20 01:46

manager   ~0026332

Add a patch from https://bugs.centos.org/view.php?id=10729 .
toracat

toracat

2016-04-26 11:35

manager   ~0026372

Add patches from https://bugs.centos.org/view.php?id=10767 .
toracat

toracat

2016-05-13 15:29

manager   ~0026538

kernel 3.10.0-327.18.2 is out. The plus kernel has patches from bugs #10729 and #10767.
toracat

toracat

2016-05-13 15:30

manager   ~0026539

Enable atm / he in the next update. ( https://bugs.centos.org/view.php?id=10845 )
toracat

toracat

2016-05-13 23:34

manager   ~0026545

Add more 9pfs config options. ( https://bugs.centos.org/view.php?id=10849 )
toracat

toracat

2016-06-25 22:54

manager   ~0026974

Last edited: 2016-06-27 12:56

View 2 revisions

kernel-plus-3.10.0-327.22.2.el6 now has the config changes from bugs 10845 and 10849.

[EDIT] correction: it is .el7 not .el6.

toracat

toracat

2016-07-19 22:45

manager   ~0027095

Add a patch from https://bugs.centos.org/view.php?id=11184 (mdraid).
toracat

toracat

2016-08-03 15:43

manager   ~0027194

Last edited: 2016-09-15 05:36

View 4 revisions

kernel-plus-3.10.0-327.28.2.el7 has the patch from bug #11184. Patches from #10033 and 10767 are now in the distro kernel, therefore removed from the plus kernel.

[EDIT] Correction made. 10676 -> 10767

toracat

toracat

2016-09-15 05:39

manager   ~0027507

The patch from bug #10073 is now in the distro kernel 3.10.0-327.36.1.el7, so removed from the plus kernel.
toracat

toracat

2016-11-03 17:36

manager   ~0027848

Last edited: 2016-11-05 21:07

View 2 revisions

RHEL 7.3 is out. kernel is 3.10.0-514.el7.

Patches from the following bug reports are now in the distro kernel, so removed from the plus kernel:

https://bugs.centos.org/view.php?id=7340
https://bugs.centos.org/view.php?id=7645
https://bugs.centos.org/view.php?id=9646
https://bugs.centos.org/view.php?id=10516
https://bugs.centos.org/view.php?id=10729
https://bugs.centos.org/view.php?id=11184

toracat

toracat

2016-11-13 00:30

manager   ~0027883

In kernel-plus-3.10.0-514.el7,

* Enabling NET_9P_RDMA ( https://bugs.centos.org/view.php?id=10849 ) causes a compilation error.

net/9p/trans_rdma.c: In function 'rdma_create_trans':
net/9p/trans_rdma.c:623:2: error: implicit declaration of function 'ib_query_device' [-Werror=implicit-function-declaration]
  err = ib_query_device(rdma->cm_id->device, &devattr);
  ^
cc1: all warnings being treated as errors
make[2]: *** [net/9p/trans_rdma.o] Error 1

Therefore it has been disabled.
toracat

toracat

2016-11-29 09:20

manager   ~0028037

Last edited: 2016-12-21 18:08

View 2 revisions

Add the patch from https://bugs.centos.org/view.php?id=12277 to the next kernel update.

[EDIT] Applied as of 3.10.0-514.2.2.el7.centos.plus.

toracat

toracat

2016-12-07 08:25

manager   ~0028090

Last edited: 2016-12-21 18:06

View 2 revisions

Add a patch from https://bugs.centos.org/view.php?id=9284 to the next kernel update.

[EDIT] The referenced patch does not seem to resolve the issue. Pending.

toracat

toracat

2016-12-19 16:30

manager   ~0028197

Last edited: 2016-12-21 18:11

View 2 revisions

Enable CONFIG_VFIO_PCI_VGA

https://bugs.centos.org/view.php?id=12435

[EDIT] Too late for x86_64 kernel-plus, so will be done in the next update. But applied to i686 kernel-plus (as of -514).

toracat

toracat

2016-12-21 17:01

manager   ~0028230

Add a patch from https://bugs.centos.org/view.php?id=12466

x86/smp: Fix __max_logical_packages value setup
commit 7b0501b1e7cddd32b265178e32d332bdfbb532d4
toracat

toracat

2017-01-14 15:47

manager   ~0028360

Add a patch from https://bugs.centos.org/view.php?id=12653

ixgbe: Force VLNCTRL.VFE to be set in all VMDq paths
commit f60439bc21e3337429838e477903214f5bd8277f
toracat

toracat

2017-01-18 00:19

manager   ~0028389

Kernel 3.10.0-514.6.1.el7 is out. The corresponding plus kernel fulfills bugs 12435 (config mod) and 12653 (patch). The patch in bug 12466 is now included in the distro kernel.
toracat

toracat

2017-01-21 16:59

manager   ~0028439

Add 11 patches (mpt3sas) from https://bugs.centos.org/view.php?id=12600 in the next kernel update.
toracat

toracat

2017-01-22 16:29

manager   ~0028450

Add 11 patches (megaraid) from https://bugs.centos.org/view.php?id=12601 in the next kernel update.
toracat

toracat

2017-01-23 17:09

manager   ~0028459

Apply the spec file patch from https://bugs.centos.org/view.php?id=12703 .
toracat

toracat

2017-02-06 19:00

manager   ~0028537

Add a patch from https://bugs.centos.org/view.php?id=12711 .
toracat

toracat

2017-02-14 16:52

manager   ~0028572

Add a patch from https://bugs.centos.org/view.php?id=12818 .
toracat

toracat

2017-02-22 07:18

manager   ~0028633

Add a patch from https://bugs.centos.org/view.php?id=12841 .
toracat

toracat

2017-02-23 16:42

manager   ~0028666

kernel-plus-3.10.0-514.6.2.el7.centos.plus is out. It has patches from bugs 12600, 12601, 12711, 12818 and 12841 and the spec change in bug 12703.
toracat

toracat

2017-03-02 18:45

manager   ~0028740

kernel-3.10.0-514.10.2.el7 is out. It has the patch from bug #12277. Therefore it has been removed from the plus kernel.
toracat

toracat

2017-04-23 17:29

manager   ~0029127

In the next update, enable RT2800USB_RT3573 ( https://bugs.centos.org/view.php?id=13162 ).
toracat

toracat

2017-05-17 21:08

manager   ~0029293

Apply the patch from https://bugs.centos.org/view.php?id=13265 .
toracat

toracat

2017-05-30 17:01

manager   ~0029355

kernel-3.10.0-514.21.1.el7 is out.

Patches from bug #12653 and #12711 are now in the distro kernel, therefore were removed from the plus kernel.

RT2800USB_RT3573 is now enabled ( https://bugs.centos.org/view.php?id=13162 ).

The patch from https://bugs.centos.org/view.php?id=13265 caused a kABI breakage, so cannot be applied.
toracat

toracat

2017-05-31 07:01

manager   ~0029369

Last edited: 2017-06-01 21:04

View 2 revisions

Compilation of kernel-plus 3.10.0-514.21.1.el7 on a 32-bit system results in an error. See the following bug report for details:

https://bugs.centos.org/view.php?id=13344

Workaround is to disable mlx5_core (i686 only).

[EDIT] There is a patch to fix the 32-bit build issue. It will be applied to the next update. See the above bug# for details.

toracat

toracat

2017-06-14 17:26

manager   ~0029482

Add a patch from https://bugs.centos.org/view.php?id=13241 in the next update.
toracat

toracat

2017-06-21 15:19

manager   ~0029537

kernel 3.10.0-514.21.2.el7 is out.

Patches from bugs #13344 and #13241 are in the plus kernel.
toracat

toracat

2017-07-10 05:21

manager   ~0029630

Enable LDM_PARTITION in the next update.

https://bugs.centos.org/view.php?id=13526
toracat

toracat

2017-07-13 06:07

manager   ~0029654

Add a patch from https://bugs.centos.org/view.php?id=13541 .
toracat

toracat

2017-07-21 05:53

manager   ~0029706

Add a patch from https://bugs.centos.org/view.php?id=13583 .
toracat

toracat

2017-08-03 21:10

manager   ~0029787

Last edited: 2017-09-05 15:50

View 3 revisions

RHEL 7.4 is out. kernel is 3.10.0-693.el7.

* The following patches are no longer needed, so removed from the plus kernel:

all patches from bug 12600 (mpt3sas)
all patches from bug 12601 (megaraid)
all patches from bug 10414
patch from bug 13344
patch from bug 13241

* patch from bug 13541 is now in the distro kernel 3.10.0-693.el7.
* add patch from 13583.

toracat

toracat

2017-08-25 17:58

manager   ~0029946

Last edited: 2017-09-05 17:55

View 2 revisions

Add a patch from https://bugs.centos.org/view.php?id=13718 .

[EDIT] The patch does not apply cleanly due to code base differences between the upstream (kernel.org) kernel and CentOS's current kernel.

toracat

toracat

2017-09-07 21:16

manager   ~0030022

kernel-plus 3.10.0-693.2.1 has a xen-related patch from https://bugs.centos.org/view.php?id=13763 .
toracat

toracat

2017-10-03 00:00

manager   ~0030285

Last edited: 2017-10-19 17:23

View 2 revisions

Apply the patch from https://bugs.centos.org/view.php?id=13961 in the next update.

[EDIT] This patch is in the distro kernel 3.10.0-693.5.2.el7 released on 2017-10-19.

toracat

toracat

2017-10-07 21:23

manager   ~0030324

Consider making changes suggested in https://bugs.centos.org/view.php?id=13990 (one patch in tools/perf and one spec change).
toracat

toracat

2017-10-19 17:21

manager   ~0030415

kernel-plus-3.10.0-693.5.2.el7.centos.plus has the changes suggested in https://bugs.centos.org/view.php?id=13990 .
toracat

toracat

2018-01-10 16:51

manager   ~0030907

Config change request https://bugs.centos.org/view.php?id=14358
toracat

toracat

2018-01-27 19:47

manager   ~0031070

kernel-plus-3.10.0-693.17.1.el7.centos.plus has the requested config change [bug 14358].
toracat

toracat

2018-01-29 17:45

manager   ~0031089

Last edited: 2018-09-06 17:44

View 2 revisions

The el7.5 kernel needs a patch from https://bugs.centos.org/view.php?id=14425 . Thanks to @pgreco.

toracat

toracat

2018-02-07 14:17

manager   ~0031180

Include the xen-patch in the next update: https://bugs.centos.org/view.php?id=14347
toracat

toracat

2018-02-10 23:53

manager   ~0031206

Possible patch(es) from https://bugs.centos.org/view.php?id=14476
toracat

toracat

2018-02-15 16:34

manager   ~0031241

Last edited: 2018-02-18 17:33

View 2 revisions

Config change requested: https://bugs.centos.org/view.php?id=14329

@@ -4069,8 +4069,8 @@ CONFIG_DRM_I2C_SIL164=m
 CONFIG_DRM_RADEON=m
 # CONFIG_DRM_RADEON_USERPTR is not set
 CONFIG_DRM_AMDGPU=m
-# CONFIG_DRM_AMDGPU_SI is not set
-# CONFIG_DRM_AMDGPU_CIK is not set
+CONFIG_DRM_AMDGPU_SI=y
+CONFIG_DRM_AMDGPU_CIK=y
 # CONFIG_DRM_AMDGPU_USERPTR is not set
 # CONFIG_DRM_AMDGPU_GART_DEBUGFS is not set

toracat

toracat

2018-04-11 00:28

manager   ~0031593

RHEL 7.5 was released today. kernel-3.10.0-862.el7.

centos-linux-3.10-xen-restore-load-sp0-bug14347.patch is now in the kernel.
toracat

toracat

2018-05-18 15:30

manager   ~0031872

In the next update, make sure x509.genkey is properly debranded ( https://bugs.centos.org/view.php?id=14820 ).
toracat

toracat

2018-06-04 22:53

manager   ~0032010

In the next update, apply the following patches if not in the distro kernel:

https://bugs.centos.org/view.php?id=14864
https://bugs.centos.org/view.php?id=14823
toracat

toracat

2018-06-13 16:17

manager   ~0032080

Apply the patch from https://bugs.centos.org/view.php?id=14779 .
toracat

toracat

2018-06-16 05:52

manager   ~0032100

kernel-plus-3.10.0-862.3.3.el7.centos.plus has been released. The patches from bugs #14864, #14823 and #14779 are in.
toracat

toracat

2018-06-29 00:05

manager   ~0032153

The patch from #14864 is now in the distro kernel (as of 3.10.0-862.6.3.el7), so was removed from the plus kernel.
toracat

toracat

2018-07-13 18:28

manager   ~0032249

Last edited: 2018-07-13 18:48

View 2 revisions

https://bugs.centos.org/view.php?id=15040

Enable NIU using the patch in the report.

config diff:

@@ -2347,7 +2347,11 @@
 CONFIG_EPIC100=m
 CONFIG_SMSC9420=m
 # CONFIG_NET_VENDOR_STMICRO is not set
-# CONFIG_NET_VENDOR_SUN is not set
+CONFIG_NET_VENDOR_SUN=y
+# CONFIG_HAPPYMEAL is not set
+# CONFIG_SUNGEM is not set
+# CONFIG_CASSINI is not set
+CONFIG_NIU=m
 # CONFIG_NET_VENDOR_TEHUTI is not set
 CONFIG_NET_VENDOR_TI=y
 CONFIG_TLAN=m

toracat

toracat

2018-07-13 18:31

manager   ~0032250

Patch candidate: https://bugs.centos.org/view.php?id=14413&nbn=7#bugnotes
toracat

toracat

2018-08-02 16:22

manager   ~0032420

Consider adding the patch from https://bugs.centos.org/view.php?id=15115 .
toracat

toracat

2018-08-16 05:14

manager   ~0032498

kernel-plus-3.10.0-862.11.6.el7.centos.plus has the two patches from #14413 and #15115.
toracat

toracat

2018-08-20 11:51

manager   ~0032547

In the next update, add @pgreco's "OMG.patch" from https://bugs.centos.org/view.php?id=15193 (IPoIB bug).
toracat

toracat

2018-09-18 18:43

manager   ~0032753

Adjust the spec file to add shim requirement for x86_64:

https://github.com/CentOS/sig-core-SecureBoot/commit/5a2464c32ae1d53abe171907fee89cd2234ad53d#diff-e08a6b57a990bd9c38c0d87027058bda
toracat

toracat

2018-09-25 22:44

manager   ~0032790

Last edited: 2018-09-25 23:35

View 2 revisions

kernel-3.10.0-862.14.4.el7 is out. The "OMG.patch" (IPoIB bug) is in this version.

kernel-plus-3.10.0-862.14.4.el7.centos.plus has a patch from https://bugs.centos.org/view.php?id=15216 .

toracat

toracat

2018-10-10 14:57

manager   ~0032900

Make sure the next update has the ecryptfs-related patches from https://bugs.centos.org/view.php?id=15353 .

Issue History

Date Modified Username Field Change
2013-12-12 16:49 toracat New Issue
2013-12-12 16:51 toracat Status new => assigned
2013-12-24 14:48 toracat Project CentOS-6 => CentOS-7
2013-12-24 14:48 toracat Category CentOS-6-Plus => general
2013-12-26 19:01 toracat Category general => CentOS-7-Plus
2014-01-01 23:57 toracat Note Added: 0018746
2014-01-02 00:59 JohnnyHughes Note Added: 0018747
2014-01-02 01:13 toracat Note Added: 0018748
2014-01-02 03:07 toracat Note Added: 0018750
2014-01-02 12:35 JohnnyHughes Note Added: 0018751
2014-01-05 19:06 toracat File Added: kernel-3.10.0-x86_64.config.20140105.diff
2014-01-05 19:07 toracat Note Added: 0018791
2014-01-06 22:32 toracat Note Added: 0018796
2014-01-08 21:44 toracat Note Added: 0018805
2014-03-25 18:24 Evolution Note Added: 0019542
2014-04-22 22:29 toracat Note Added: 0019662
2014-04-28 16:44 toracat Note Added: 0019687
2014-05-30 16:27 toracat Note Added: 0019797
2014-05-31 17:38 toracat Note Edited: 0019542 View Revisions
2014-06-04 15:58 toracat Note Added: 0019806
2014-06-06 20:03 toracat Note Added: 0019818
2014-06-10 21:01 toracat Note Added: 0019828
2014-06-23 05:49 toracat Note Added: 0020000
2014-06-27 19:28 toracat Note Added: 0020104
2014-07-05 16:54 toracat Note Added: 0020186
2014-07-07 18:02 toracat Note Added: 0020208
2014-07-07 18:07 toracat Note Added: 0020209
2014-07-10 19:37 toracat Note Added: 0020366
2014-07-11 16:09 toracat Note Added: 0020393
2014-07-13 17:02 toracat Note Added: 0020420
2014-07-13 17:15 toracat Note Edited: 0020393 View Revisions
2014-07-13 17:15 toracat Note Edited: 0020420 View Revisions
2014-07-14 16:08 toracat Note Added: 0020429
2014-07-31 12:03 toracat Note Added: 0020560
2014-08-01 10:06 toracat Note Added: 0020567
2014-08-07 16:00 toracat Note Added: 0020609
2014-08-08 21:35 toracat Note Added: 0020633
2014-08-13 13:38 toracat Note Added: 0020673
2014-09-01 00:20 toracat Note Added: 0020799
2014-09-13 07:59 toracat Note Edited: 0020799 View Revisions
2014-09-22 21:25 toracat Note Added: 0020976
2014-09-28 21:20 toracat Note Added: 0021017
2014-10-27 19:57 toracat Note Added: 0021424
2014-10-28 21:28 toracat Note Added: 0021443
2014-10-31 07:06 toracat Note Added: 0021484
2014-11-06 21:36 toracat Note Added: 0021574
2014-11-10 04:16 toracat Note Added: 0021617
2014-11-13 16:38 toracat Note Added: 0021673
2014-11-13 17:12 toracat Note Added: 0021675
2014-11-28 02:09 toracat Note Added: 0021828
2014-12-09 23:42 toracat Note Added: 0021895
2014-12-29 07:45 toracat Note Added: 0022059
2015-01-06 08:48 toracat Note Added: 0022079
2015-01-11 18:34 toracat Note Added: 0022105
2015-01-13 00:44 toracat Note Added: 0022116
2015-01-29 01:28 toracat Note Added: 0022248
2015-03-01 08:03 toracat Note Added: 0022428
2015-03-07 00:15 toracat Note Added: 0022479
2015-03-07 00:17 toracat Note Added: 0022480
2015-03-07 00:21 toracat Note Added: 0022481
2015-03-07 00:24 toracat Note Edited: 0022480 View Revisions
2015-03-07 16:59 toracat Note Added: 0022487
2015-03-26 13:32 toracat Note Added: 0022604
2015-04-07 17:11 toracat Note Added: 0022696
2015-05-12 17:43 toracat Note Edited: 0022696 View Revisions
2015-05-28 18:18 toracat Note Added: 0023238
2015-07-02 21:52 toracat Note Added: 0023561
2015-07-13 17:10 toracat Note Added: 0023620
2015-07-24 17:29 toracat Note Added: 0023713
2015-07-24 17:35 toracat Note Edited: 0023238 View Revisions
2015-08-06 15:46 toracat Note Added: 0023795
2015-09-14 17:28 toracat Note Added: 0024348
2015-09-15 16:57 toracat Note Added: 0024360
2015-10-07 08:17 toracat Note Added: 0024544
2015-10-11 06:44 toracat Note Added: 0024574
2015-10-21 18:53 toracat Note Edited: 0024360 View Revisions
2015-10-23 16:12 toracat Note Added: 0024687
2015-10-29 20:38 toracat Note Added: 0024734
2015-11-21 17:34 toracat Note Added: 0024903
2015-12-18 20:11 toracat Note Added: 0025130
2016-01-21 19:40 toracat Note Added: 0025457
2016-01-21 19:42 toracat Note Edited: 0025130 View Revisions
2016-01-21 21:46 toracat Note Added: 0025461
2016-01-26 17:01 toracat Note Added: 0025520
2016-02-04 20:50 toracat Note Added: 0025617
2016-02-11 16:29 toracat Note Added: 0025698
2016-02-18 16:36 toracat Note Added: 0025767
2016-03-01 09:22 toracat Note Added: 0025895
2016-03-10 16:15 toracat Note Added: 0025990
2016-03-29 16:43 toracat Note Edited: 0025520 View Revisions
2016-03-29 16:51 toracat Note Added: 0026163
2016-03-31 17:45 toracat Note Added: 0026188
2016-04-20 01:46 toracat Note Added: 0026332
2016-04-26 11:35 toracat Note Added: 0026372
2016-05-13 15:29 toracat Note Added: 0026538
2016-05-13 15:30 toracat Note Added: 0026539
2016-05-13 23:34 toracat Note Added: 0026545
2016-06-25 22:54 toracat Note Added: 0026974
2016-06-27 12:56 toracat Note Edited: 0026974 View Revisions
2016-07-19 22:45 toracat Note Added: 0027095
2016-08-03 15:43 toracat Note Added: 0027194
2016-08-03 15:48 toracat Note Edited: 0027194 View Revisions
2016-08-03 15:53 toracat Note Edited: 0027194 View Revisions
2016-09-15 05:36 toracat Note Edited: 0027194 View Revisions
2016-09-15 05:39 toracat Note Added: 0027507
2016-11-03 17:36 toracat Note Added: 0027848
2016-11-05 21:07 toracat Note Edited: 0027848 View Revisions
2016-11-13 00:30 toracat Note Added: 0027883
2016-11-29 09:20 toracat Note Added: 0028037
2016-12-07 08:25 toracat Note Added: 0028090
2016-12-19 16:30 toracat Note Added: 0028197
2016-12-21 17:01 toracat Note Added: 0028230
2016-12-21 18:06 toracat Note Edited: 0028090 View Revisions
2016-12-21 18:08 toracat Note Edited: 0028037 View Revisions
2016-12-21 18:11 toracat Note Edited: 0028197 View Revisions
2017-01-14 15:47 toracat Note Added: 0028360
2017-01-18 00:19 toracat Note Added: 0028389
2017-01-21 16:59 toracat Note Added: 0028439
2017-01-22 16:29 toracat Note Added: 0028450
2017-01-23 17:09 toracat Note Added: 0028459
2017-02-06 19:00 toracat Note Added: 0028537
2017-02-14 16:52 toracat Note Added: 0028572
2017-02-22 07:18 toracat Note Added: 0028633
2017-02-23 16:42 toracat Note Added: 0028666
2017-03-02 18:45 toracat Note Added: 0028740
2017-04-23 17:29 toracat Note Added: 0029127
2017-05-17 21:08 toracat Note Added: 0029293
2017-05-30 17:01 toracat Note Added: 0029355
2017-05-31 07:01 toracat Note Added: 0029369
2017-06-01 21:04 toracat Note Edited: 0029369 View Revisions
2017-06-14 17:26 toracat Note Added: 0029482
2017-06-21 15:19 toracat Note Added: 0029537
2017-07-10 05:21 toracat Note Added: 0029630
2017-07-13 06:07 toracat Note Added: 0029654
2017-07-21 05:53 toracat Note Added: 0029706
2017-08-03 21:10 toracat Note Added: 0029787
2017-08-03 21:23 toracat Note Edited: 0029787 View Revisions
2017-08-25 17:58 toracat Note Added: 0029946
2017-09-05 15:50 toracat Note Edited: 0029787 View Revisions
2017-09-05 17:55 toracat Note Edited: 0029946 View Revisions
2017-09-07 21:16 toracat Note Added: 0030022
2017-10-03 00:00 toracat Note Added: 0030285
2017-10-07 21:23 toracat Note Added: 0030324
2017-10-19 17:21 toracat Note Added: 0030415
2017-10-19 17:23 toracat Note Edited: 0030285 View Revisions
2018-01-10 16:51 toracat Note Added: 0030907
2018-01-27 19:47 toracat Note Added: 0031070
2018-01-29 17:45 toracat Note Added: 0031089
2018-02-07 14:17 toracat Note Added: 0031180
2018-02-10 23:53 toracat Note Added: 0031206
2018-02-15 16:34 toracat Note Added: 0031241
2018-02-18 17:33 toracat Note Edited: 0031241 View Revisions
2018-04-11 00:28 toracat Note Added: 0031593
2018-05-18 15:30 toracat Note Added: 0031872
2018-06-04 22:53 toracat Note Added: 0032010
2018-06-13 16:17 toracat Note Added: 0032080
2018-06-16 05:52 toracat Note Added: 0032100
2018-06-29 00:05 toracat Note Added: 0032153
2018-07-13 18:28 toracat Note Added: 0032249
2018-07-13 18:31 toracat Note Added: 0032250
2018-07-13 18:48 toracat Note Edited: 0032249 View Revisions
2018-08-02 16:22 toracat Note Added: 0032420
2018-08-16 05:14 toracat Note Added: 0032498
2018-08-20 11:51 toracat Note Added: 0032547
2018-09-06 17:44 toracat Note Edited: 0031089 View Revisions
2018-09-18 18:43 toracat Note Added: 0032753
2018-09-25 22:44 toracat Note Added: 0032790
2018-09-25 23:35 toracat Note Edited: 0032790 View Revisions
2018-10-10 14:57 toracat Note Added: 0032900